p.hpp File Reference

Resides on pmem property template. More...

`#include <memory>`
`#include "libpmemobj++/detail/common.hpp"`
`#include "libpmemobj++/detail/specialization.hpp"`
Include dependency graph for p.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | pmem::obj::p< T >
| Resides on pmem class. More...

## Functions

template<class T >
void | pmem::obj::swap (p< T > &a, p< T > &b)
| Swaps two p objects of the same type. More...

## Detailed Description

Resides on pmem property template.

## Function Documentation

## swap()

template<class T >

void pmem::obj::swap | ( | p< T > & | a,
|  | p< T > & | b
| ) |  |

inline

Swaps two p objects of the same type.

Non-member swap function as required by Swappable concept. en.cppreference.com/w/cpp/concept/Swappable